@import url("/fonts/cmun-serif.css");

@font-face {
  font-family: "IBMSelectricLight";
  src:
    url("/fonts/IBM\ Selectric\ Light\ Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "IBMSelectricLight";
  src:
    url("/fonts/IBM\ Selectric\ Light\ Italic.ttf") format("truetype");
  font-weight: normal;
  font-style: italic;
  font-display: swap;
}

html{
font-family: "Computer Modern Serif";
font-size:1rem;
}

.oliver {
  max-width: 900px;
  margin: auto;
  text-align: justify;
  justify-content: space-between;
}

.oliver img { 
  display: block;
  margin: auto;
  margin-bottom: 1em;
  max-width: clamp(300px, 60vw, 600px);
  height: auto;
}

th, td {
  padding: 10px; /* Adds 12px of space on all four sides */
  border: 1px solid #ccc;
}

.project > a {
  /* Prevent link from taking on blue color and underline */
  text-decoration: none; 
  color: inherit;
  font-weight: normal;
  font-style: normal;
}

/* The container holding all your divs */
.project-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around; /* This forces the margins to grow/shrink */
  row-gap: 20px;                  /* Fixed vertical spacing between rows */
  max-width: 1000px;              /* Caps the width for 3 columns + margins */
  margin: 0 auto;                 /* Centers the entire grid on the screen */
  padding: 10px;
}

/* The individual fixed-width cards */
.project {
  width: 300px;
  box-sizing: border-box;
  padding: 15px;
  text-align: center;
}

.project:hover {
  background-color: #f4f4f4
}

/* Optional: Ensures images don't overflow the fixed card width */
.project img {
  max-width: 100%;
  height: auto;
}

/* Media Query for Mobile (1 Column) */
@media (max-width: 660px) {
  .project-grid {
    justify-content: center;     /* Centers the single card on mobile */
  }

  table {
    font-size: small;
  }
  .oliver img{
    min-width: 90%;
  }
  .oliver video{
    min-width: 90%;
  }
}

.centering-parent {
  display: grid; 
  place-items: center;
}

.oliver-home {
  font-family:IBMSelectricLight; 
  font-size:2.5rem;
}

.oliver-home:hover {
  font-style: italic;
}